Loading...
Searching...
No Matches
XrdCephBufferDataSimple.hh File Reference
`#include <sys/types.h>`
`#include "IXrdCephBufferData.hh"`
`#include "BufferUtils.hh"`
`#include <vector>`
`#include <atomic>`
`#include <chrono>`
Include dependency graph for XrdCephBufferDataSimple.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdCephBuffer::XrdCephBufferDataSimple
| Implementation of a buffer using a simple vector<char> Simplest implementation of a buffer using vector<char> for underlying memory. Capacity is reserved on construction and released back at destruction. Does very little itself, except to provide access methods. More...

## Namespaces

namespace | XrdCephBuffer
| is a simple implementation of IXrdCephBufferData using std::vector<char> representation for the buffer